#include <amxmodx>
#include <cstrike>
#include <fun>

#define PLUGIN  "CS Revo: Knife Reset Frag"
#define VERSION "1.1"
#define AUTHOR  "Wilian M."

new g_MsgSync

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR)

	register_event("DeathMsg", "xDeathMsg", "a")

	g_MsgSync = CreateHudSyncObj()
}

public xDeathMsg()
{
	new xKiller = read_data(1)
	new xVictim = read_data(2)

	if(xKiller == xVictim)
		return

	new xWpn[32]
	read_data(4, xWpn, charsmax(xWpn))
    
	if(equal(xWpn, "knife") && is_user_alive(xKiller))
    {
		static xNameVic[20], xNameKiller[20]
		get_user_name(xKiller, xNameKiller, charsmax(xNameKiller))
		get_user_name(xVictim, xNameVic, charsmax(xNameVic))

		set_hudmessage(150, 150, 0, 0.02, 0.76, 2, 0.3, 7.0, 0.1, 0.2)
		ShowSyncHudMsg(0, g_MsgSync, "%s... Teve seu FRAG resetado^nPois morreu na faca por: %s...!", xNameVic, xNameKiller)

		client_print_color(0, print_team_default, "^4>> ^3%s ^1teve seu ^4FRAG ^1resetado pois morreu na faca por: ^3%s^1!", xNameVic, xNameKiller)

		set_task(1.0, "xResetScore", xVictim+22417)
    }
}

public xResetScore(xVictim)
{
	xVictim -= 22417

	if(!is_user_connected(xVictim))
	{
		remove_task(xVictim+22417)
		return
	}

	cs_set_user_deaths(xVictim, 0)
	set_user_frags(xVictim, 0)
	cs_set_user_deaths(xVictim, 0)
	set_user_frags(xVictim, 0)
}
